TQScintilla: TQextScintillaMacro Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# TQextScintillaMacro Class Reference

The TQextScintillaMacro class represents a sequence of recordable editor commands. More...

`#include <tqextscintillamacro.h>`

List of all members.

## Public Slots

- virtual void play ()
- virtual void startRecording ()
- virtual void endRecording ()

## Public Member Functions

- TQextScintillaMacro (TQextScintilla *parent, const char *name=0)
- TQextScintillaMacro (const TQCString &asc, TQextScintilla *parent, const char *name=0)
- virtual ~TQextScintillaMacro ()
- void clear ()
- bool load (const TQCString &asc)
- TQCString save () const

## Classes

- struct Macro

## Detailed Description

The TQextScintillaMacro class represents a sequence of recordable editor commands.

Methods are provided to convert convert a macro to and from a textual representation so that they can be easily written to and read from permanent storage.

## Constructor & Destructor Documentation

TQextScintillaMacro::TQextScintillaMacro | ( | TQextScintilla * | parent,
|  | const char * | name = `0` |
| ) |  |  |

Construct a TQextScintillaMacro with parent parent and name name.

TQextScintillaMacro::TQextScintillaMacro | ( | const TQCString & | asc,
|  | TQextScintilla * | parent,
|  | const char * | name = `0` |
| ) |  |  |

Construct a TQextScintillaMacro from the printable ASCII representation asc, with parent parent and name name.

virtual TQextScintillaMacro::~TQextScintillaMacro | ( |  | ) | `[virtual]`

Destroy the TQextScintillaMacro instance.

## Member Function Documentation

void TQextScintillaMacro::clear | ( |  | ) |

Clear the contents of the macro.

bool TQextScintillaMacro::load | ( | const TQCString & | asc | ) |

Load the macro from the printable ASCII representation asc. Returns true if there was no error.

See also:
  save()

TQCString TQextScintillaMacro::save | ( |  | ) | const

Return a printable ASCII representation of the macro. It is guaranteed that only printable ASCII characters are used and that double quote characters will not be used.

See also:
  load()

virtual void TQextScintillaMacro::play | ( |  | ) | `[virtual, slot]`

Play the macro.

virtual void TQextScintillaMacro::startRecording | ( |  | ) | `[virtual, slot]`

Start recording user commands and add them to the macro.

virtual void TQextScintillaMacro::endRecording | ( |  | ) | `[virtual, slot]`

Stop recording user commands.